#include <xc.h>
#include <PIC18F4550_config.h>
#define _XTAL_FREQ 20000000
#include <i2cEEPROM.c>

int main (void){

	// Variabile per salvare il dato di ritorno
	unsigned char data = 0;

	// Imposto PORTA tutti ingressi
	LATA = 0x00;
 	TRISA = 0xFF;

	// Imposto PORTB tutti ingressi
 	LATB = 0x00;
 	TRISB = 0xFF;

	// Imposto PORTC tutti ingressi, RC1 come output
 	LATC = 0x00;
 	TRISC = 0b11111101;

	// Imposto PORTD tutte uscite
 	LATD = 0x00;
 	TRISD = 0x00;

	// Imposto PORTE tutti ingressi
 	LATE = 0x00;
 	TRISE = 0xFF;

 	
	// Inizializza il modulo I2C a 400KHz @20MHz
	OpenI2C(MASTER, SLEW_ON);
	SSPADD = 12;

	write_I2C_EEPROM (0xA0, 0, 0x35);

	// Aspetto che il dato sia propriamente scritto in EEPROM
 	__delay_ms (10);

	read_I2C_EEPROM (0xA0, 0, &data);

	LATD = data;

	// Ciclo infinito
 	while (1) {

 	}
}
